package com.rubin.mybatis.connection;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.SQLException;

/**
 * 默认的连接工厂
 * Created by rubin on 2021/3/24.
 */
public class DefaultConnectionFactory implements ConnectionFactory {

    public DataSource dataSource;

    public DefaultConnectionFactory() {
        super();
    }

    public DefaultConnectionFactory(DataSource dataSource) {
        this.dataSource = dataSource;
    }

    /**
     * 生产Collection
     *
     * @return
     */
    @Override
    public Connection getConnection() {
        try {
            return dataSource.getConnection();
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return null;
    }
}
