package com.rubin.mybatis.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * 解析用户的自定义sql后的实体封装
 * Created by rubin on 2021/3/7.
 */
@Data
@AllArgsConstructor
public class BoundSql {

    /**
     * jbdc标准sql
     */
    private String sql;

    /**
     * 用户自定义sql占位参数集合
     */
    private List<ParameterMapping> parameterMappings;

}
