package com.rubin.mybatis.pojo;

import lombok.Data;

import javax.sql.DataSource;
import java.io.Serializable;
import java.util.Map;

/**
 * 配置类
 * Created by rubin on 2021/3/6.
 */
@Data
public class Configuration implements Serializable {

    private static final long serialVersionUID = 2671465016158105857L;

    /**
     * 数据源
     */
    private DataSource dataSource;

    /**
     * mapper配置集合
     */
    private Map<String, MapperStatement> mapperStatementMap;

}
