package com.rubin.mybatis.pojo;

import lombok.Data;

import java.io.Serializable;

/**
 * mapper解析结果配置类
 * Created by rubin on 2021/3/6.
 */
@Data
public class MapperStatement implements Serializable {

    private static final long serialVersionUID = -5965608715506818980L;

    /**
     * 标签id 组成方式为 namespace.id
     */
    private String id;

    /**
     * 用户自定义sql
     */
    private String sql;

    /**
     * statementType
     */
    private StatementType statementType;

    /**
     * 参数类型
     */
    private Class<?> parameterType;

    /**
     * 返回类型
     */
    private Class<?> resultType;

}
