package com.rubin.mybatis.pojo;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * SqlStatement的类型枚举类
 * Created by rubin on 2021/3/15.
 */
@Getter
@AllArgsConstructor
public enum StatementType {
    /**
     * 查询
     */
    SELECT("select"),
    /**
     * 修改
     */
    UPDATE("update"),
    /**
     * 添加
     */
    INSERT("insert"),
    /**
     * 删除
     */
    DELETE("delete");
    String node;
}
