create schema `mybatis-demo` collate utf8_general_ci;

use `mybatis-demo`;

create table dept_info
(
    id int auto_increment comment '主键'
        primary key,
    dept_name varchar(255) default '' not null comment '部门名称',
    parent_id int default 0 not null comment '上级部门id'
)
    comment '部门表';

create table user_info
(
    id int auto_increment comment '主键'
        primary key,
    username varchar(255) default '' not null comment '用户姓名'
)
    comment '用户表';