package com.rubin.spring.context;

import com.rubin.spring.context.bean.ClassPathXmlBeanDefinitionLoader;

/**
 * 配置文件应用上下文容器
 */
public class ClassPathXmlApplicationContext extends AbstractApplicationContext {

    public ClassPathXmlApplicationContext(String configLocation) {
        super(new ClassPathXmlBeanDefinitionLoader(configLocation));
    }

    /**
     * 刷新时的扩展方法
     */
    @Override
    protected void onRefresh() {

    }

}
