package com.rubin.spring.context.annotation;

import java.lang.annotation.*;

/**
 * 扫描该注解 将其按照值注入对象字段中
 * 暂时只支持添加到属性上
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Value {

    String value() default "";

}
