package com.rubin.spring.context.beans;

import com.rubin.spring.context.annotation.Autowired;
import com.rubin.spring.context.annotation.Component;
import com.rubin.spring.context.annotation.Value;
import lombok.Data;

import java.io.Serializable;

@Data
@Component("a")
public class A implements Serializable {

    private static final long serialVersionUID = -6065196434455688155L;

    @Autowired
    private B b;

    @Value("aName")
    private String name;

    @Override
    public String toString() {
        return "A{" +
                "b=" + b +
                '}';
    }

}
