package com.rubin.spring.context.beans;

import com.rubin.spring.context.annotation.Autowired;
import com.rubin.spring.context.annotation.Service;
import com.rubin.spring.context.annotation.Value;
import lombok.Data;

import java.io.Serializable;

@Data
@Service("b")
public class B implements Serializable {

    private static final long serialVersionUID = 4771041380171984169L;

    @Autowired
    private A a;

    @Value("666")
    private Integer number;

    @Override
    public String toString() {
        return "B{" +
                "a=" + a +
                '}';
    }

}
