create schema `transfer-demo` collate utf8_general_ci;

use `transfer-demo`;

create table account_info
(
    id int auto_increment comment '主键'
        primary key,
    username varchar(255) default '' not null comment '用户名称',
    card_no varchar(255) default '' not null comment '银行卡号',
    money decimal(10,2) default 0.00 not null comment '余额'
)
    comment '账户信息表';

insert into account_info (username, card_no, money) values ('张三', 'NO123456789', 10000.00),  ('李四', 'NO987654321', 10000.00);