package com.rubin.mybatis.builder;

        import com.rubin.mybatis.connection.ConnectionFactory;
        import com.rubin.mybatis.connection.DefaultConnectionFactory;

        import javax.sql.DataSource;

/**
 * 连接工厂建造器
 * Created by rubin on 2021/3/25.
 */
public class ConnectionFactoryBuilder {

    /**
     * 构建连接工厂
     *
     * @param dataSource
     * @return
     */
    public ConnectionFactory build(DataSource dataSource) {
        return new DefaultConnectionFactory(dataSource);
    }

}
