package com.rubin.mybatis.dao;

import com.rubin.mybatis.pojo.UserInfo;

import java.util.List;

/**
 * 用户接口
 */
public interface IUserDao {

    /**
     * 查询所有
     *
     * @return
     */
    List<UserInfo> selectAll();

    /**
     * 条件查询
     *
     * @param userInfo
     * @return
     */
    UserInfo selectByCondition(UserInfo userInfo);

    /**
     * 插入记录
     *
     * @param userInfo
     * @return
     */
    int insert(UserInfo userInfo);

    /**
     * 更新记录
     *
     * @param userInfo
     * @return
     */
    int update(UserInfo userInfo);

    /**
     * 删除记录
     *
     * @param userInfo
     * @return
     */
    int delete(UserInfo userInfo);

}
