package com.rubin.springboot;

import com.rubin.springboot.server.TomcatWebServer;
import com.rubin.springboot.server.TomcatWebServerFactory;
import com.rubin.springboot.server.WebServerFactory;

/**
 * 核心启动类
 * Created by RubinChu on 2021/4/28 20:15
 */
public class SpringApplication {

    public static void run() {
        WebServerFactory webServerFactory = new TomcatWebServerFactory();
        TomcatWebServer tomcatWebServer = (TomcatWebServer) webServerFactory.getWebServer();
        tomcatWebServer.start();
        tomcatWebServer.await();
    }

}
