package com.rubin.springboot.server;

/**
 * Web服务器顶级接口
 * Created by RubinChu on 2021/4/28 20:17
 */
public interface WebServer {

    /**
     * 启动Web服务器
     */
    void start();

    /**
     * 保持监听状态
     */
    void await();

    /**
     * 停止
     */
    void stop();

}
