package com.rubin.spring.context;

import com.rubin.spring.context.bean.AnnotationBeanDefinitionLoader;
import lombok.Getter;

/**
 * 配置文件应用上下文容器
 */
@Getter
public class AnnotationApplicationContext extends AbstractApplicationContext {

    private String annotationScanBasePackage;

    public AnnotationApplicationContext(String annotationScanBasePackage) {
        super(new AnnotationBeanDefinitionLoader(annotationScanBasePackage));
        this.annotationScanBasePackage = annotationScanBasePackage;
    }

    /**
     * 刷新时的扩展方法
     */
    @Override
    protected void onRefresh() {

    }

}
