package com.rubin.spring.context.bean;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Bean定义的信息对象
 */
@Data
public class BeanDefinition implements Serializable {

    private static final long serialVersionUID = -5802994246701645500L;

    private String beanName;

    private Class beanClass;

    private List<Class> interfaces;

    private List<FieldDefinition> fieldDefinitions;

    private String initMethodName;

}
