package com.rubin.spring.context.factory;

public interface AutowiredBeanFactory extends BeanFactory {

    /**
     * 注册Bean对象
     */
    void registerBean(String beanName, Object beanObject);

    /**
     * 准备实例化所有单例对象
     */
    void preInstantiateSingletons();

}
