package com.rubin.spring.context.utils;

/**
 * Bean处理工具类
 * Created by rubin on 2021/3/25.
 */
public class BeanUtil {

    /**
     * 处理类名 首字母变小写
     *
     * @param originName
     * @return
     */
    public static String getDefaultBeanName(String originName) {
        if (Character.isLowerCase(originName.charAt(0)))
            return originName;
        else {
            return (new StringBuilder()).append(Character.toLowerCase(originName.charAt(0))).append(originName.substring(1)).toString();
        }
    }

}
