package com.rubin.client.dao;

import com.rubin.client.pojo.AccountInfo;
import com.rubin.spring.mybatis.annotation.Mapper;

/**
 * dao层接口
 * 必须有mapper注解 否则解析不到
 */
@Mapper
public interface IAccountInfoDao {

    /**
     * 通过卡号查询帐户信息
     *
     * @param accountInfo
     * @return
     */
    AccountInfo selectByCardNo(AccountInfo accountInfo);

    /**
     * 更新帐户信息
     *
     * @param accountInfo
     */
    void updateByCardNo(AccountInfo accountInfo);

}
