package com.rubin.client.pojo;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 帐户信息实体
 */
@Data
@Accessors(chain = true)
public class AccountInfo implements Serializable {

    private static final long serialVersionUID = -4486359278073035660L;

    /**
     * 主键
     */
    private Integer id;

    /**
     * 用户名
     */
    private String username;

    /**
     * 卡号
     */
    private String cardNo;

    /**
     * 账户余额
     */
    private BigDecimal money;

}
