package com.rubin.spring.ex.manager;

import java.sql.SQLException;

/**
 * 事务管理器顶级接口
 * Created by rubin on 2021/3/24.
 */
public interface TransactionManager {

    /**
     * 开始事务
     */
    void start() throws SQLException;

    /**
     * 提交事务
     */
    void commit() throws SQLException;

    /**
     * 回滚事务
     */
    void rollback() throws SQLException;

}
