package com.rubin.spring.mvc;

import lombok.Data;

import java.lang.reflect.Method;
import java.util.Map;
import java.util.regex.Pattern;

/**
 * 封装url-method映射
 * Created by rubin on 4/4/21.
 */
@Data
public class Handler {

    private Class controllerClass;

    private Method method;

    private Pattern pattern;

    private Map<String,Integer> paramIndexMapping;

}
